<?php
/**
 * Animal Clinic functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @subpackage Animal Clinic
 * @since Animal Clinic 1.0
 */

if ( ! function_exists( 'animal_clinic_setup' ) ) :
/**
 * Sets up theme defaults and registers support for various WordPress features.
 *
 * Note that this function is hooked into the after_setup_theme hook, which runs
 * before the init hook. The init hook is too late for some features, such as indicating
 * support post thumbnails.
 */
function animal_clinic_setup() {
	load_theme_textdomain( 'animal-clinic', get_template_directory() . '/languages' );
}
endif;
add_action( 'after_setup_theme', 'animal_clinic_setup' );

function animal_clinic_block_assets(){
	wp_enqueue_style( 'fontawesome', get_template_directory_uri() . '/assets/font-awesome/css/all.css', array(), '7.1.0' );
	wp_enqueue_style( 'animatecss', get_template_directory_uri() . '/assets/css/animate.css');
	wp_enqueue_style( 'owlcarousel-css', get_template_directory_uri() . '/assets/css/owl.carousel.css');
	wp_enqueue_style( 'animal-clinic-style', get_template_directory_uri() . '/style.css', array(), wp_get_theme()->get( 'Version' ) );
	wp_enqueue_script('wow-script', get_template_directory_uri() . '/assets/js/wow.js', array('jquery'));
	wp_enqueue_script('owlcarousel-js', get_template_directory_uri() . '/assets/js/owl.carousel.js', array('jquery'));
	wp_enqueue_script('animal-clinic-script', get_template_directory_uri() . '/assets/js/script.js', array('jquery'), '1.0.0', true);
	wp_style_add_data( 'animal-clinic-style', 'rtl', 'replace' );
}
add_action('enqueue_block_assets', 'animal_clinic_block_assets');

/**
 * Load TGM.
 */
require get_template_directory() . '/inc/tgm/tgm.php';

/**
 * Notice.
 */
require_once get_template_directory() . '/inc/notice/notice.php';

/**
 * Theme Info Page.
 */
require get_template_directory() . '/inc/addon.php';

/**
 * Customizer
 */
require get_template_directory() . '/inc/customizer.php';

function animal_clinic_setup_theme() {
	if ( ! defined( 'ANIMAL_CLINIC_PREMIUM_PAGE' ) ) {
		define('ANIMAL_CLINIC_PREMIUM_PAGE',__('https://www.theclassictemplates.com/products/veterinary-clinic-wordpress-theme','animal-clinic'));
	}
	if ( ! defined( 'ANIMAL_CLINIC_PRO_NAME' ) ) {
		define( 'ANIMAL_CLINIC_PRO_NAME', __( 'About Animal Clinic', 'animal-clinic' ));
	}
	if ( ! defined( 'ANIMAL_CLINIC_THEME_PAGE' ) ) {
		define('ANIMAL_CLINIC_THEME_PAGE',__('https://www.theclassictemplates.com/collections/best-wordpress-templates','animal-clinic'));
	}
	if ( ! defined( 'ANIMAL_CLINIC_SUPPORT' ) ) {
		define('ANIMAL_CLINIC_SUPPORT',__('https://wordpress.org/support/theme/animal-clinic/','animal-clinic'));
	}
	if ( ! defined( 'ANIMAL_CLINIC_REVIEW' ) ) {
		define('ANIMAL_CLINIC_REVIEW',__('https://wordpress.org/support/theme/animal-clinic/reviews/','animal-clinic'));
	}
	if ( ! defined( 'ANIMAL_CLINIC_PRO_DEMO' ) ) {
		define('ANIMAL_CLINIC_PRO_DEMO',__('https://live.theclassictemplates.com/animal-clinic-pro/','animal-clinic'));
	}
	if ( ! defined( 'ANIMAL_CLINIC_THEME_DOCUMENTATION' ) ) {
		define('ANIMAL_CLINIC_THEME_DOCUMENTATION',__('https://live.theclassictemplates.com/demo/docs/animal-clinic-free/','animal-clinic'));
	}
	if ( ! defined( 'ANIMAL_CLINIC_BUNDLE_PAGE' ) ) {
		define('ANIMAL_CLINIC_BUNDLE_PAGE',__('https://www.theclassictemplates.com/products/wordpress-theme-bundle','animal-clinic'));
	}
}
add_action('after_setup_theme', 'animal_clinic_setup_theme');

function animal_clinic_enqueue_admin_script($hook) {
    // Enqueue admin JS for notices
    wp_enqueue_script('animal-clinic-welcome-notice', get_template_directory_uri() . '/inc/notice/notice.js', array('jquery'), '', true);
    
    // Localize script to pass data to JavaScript
    wp_localize_script('animal-clinic-welcome-notice', 'animal_clinic_localize', array(
        'ajax_url' => admin_url('admin-ajax.php'),
        'nonce' => wp_create_nonce('animal_clinic_welcome_nonce'),
        'dismiss_nonce' => wp_create_nonce('animal_clinic_welcome_nonce'), 
        'redirect_url' => admin_url('themes.php?page=animal-clinic')
    ));
}
add_action('admin_enqueue_scripts', 'animal_clinic_enqueue_admin_script');